VkDescriptorSetLayoutBinding Struct Reference

`#include <vulkan.h>`

## Data Fields

uint32_t | binding
VkDescriptorType | descriptorType
uint32_t | descriptorCount
VkShaderStageFlags | stageFlags
const VkSampler * | pImmutableSamplers

## Detailed Description

Definition at line 2166 of file vulkan.h.

## Field Documentation

## binding

uint32_t VkDescriptorSetLayoutBinding::binding

Definition at line 2167 of file vulkan.h.

## descriptorCount

uint32_t VkDescriptorSetLayoutBinding::descriptorCount

Definition at line 2169 of file vulkan.h.

## descriptorType

VkDescriptorType VkDescriptorSetLayoutBinding::descriptorType

Definition at line 2168 of file vulkan.h.

## pImmutableSamplers

const VkSampler* VkDescriptorSetLayoutBinding::pImmutableSamplers

Definition at line 2171 of file vulkan.h.

## stageFlags

VkShaderStageFlags VkDescriptorSetLayoutBinding::stageFlags

Definition at line 2170 of file vulkan.h.

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.h